#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  kwindowsystem-5.115.0 for lxqt

- Next

  kconfig-5.115.0 for lxqt

- Up
- Home

# kwayland-5.115.0 for lxqt

## Introduction to kwayland

kwayland is a Qt-style API to interact with the wayland-client and wayland-server API.

This package is known to build and work properly using an LFS 12.1 platform.

### Important

This package is extracted from the KF5 set of packages. If KDE Frameworks-5.115.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.115/kwayland-5.115.0.tar.xz

- Download MD5 sum: 5031ae48f5214293ca8484e719a78895

- Download size: 332 KB

- Estimated disk space required: 31 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### kwayland Dependencies

#### Required

extra-cmake-modules-5.115.0, Mesa-24.0.1 (built with Wayland-1.22.0 support), plasma-wayland-protocols-1.12.0, and (Qt-5.15.12 or qt-alternate-5.15.12)

## Installation of kwayland

Install kwayland by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr        \
          -DCMAKE_INSTALL_LIBEXECDIR=libexec \
          -DKDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_INSTALL_LIBEXECDIR=libexec`: This overrides the default in extra-cmake-modules, which is `/usr/lib/libexec` and is not FHS compliant.

`-DKDE_INSTALL_USE_QT_SYS_PATHS=ON`: This forces installation of Qt plugins in the same directory as Qt-5.15.12 itself. Otherwise they get installed into `/usr/mkspecs`, which is not FHS compliant.

## Contents

Installed Programs: None
Installed Library: libKF5WaylandClient.so and libKF5WaylandServer.so
Installed Directories: /usr/lib/cmake/KF5Wayland, /usr/include/KF5/KWayland, and /usr/share/qlogging-categories5

### Short Descriptions

`libKF5WaylandClient.so` | contains the wayland-client Qt-style wrapper library
`libKF5WaylandServer.so` | contains the wayland-server Qt-style wrapper library

- Prev

  kwindowsystem-5.115.0 for lxqt

- Next

  kconfig-5.115.0 for lxqt

- Up
- Home